H2O AutoDoc {{images.H2O_Logo}}

# {{package_name}} Experiment:

Generated on: {{ generated_on }}

Generated by: {{ generated_by }}

## Table of Contents

1. [Experiment Overview](#experiment-overview)
2. [Data Overview](#data-overview){% if package_name=='H2O-3' %}
3. [Validation Strategy](#validation-strategy){% endif %}
4. [Feature Importance](#feature-importance)
5. [Final Model](#final-model)
6. [Alternative Models](#alternative-models)
7. [Partial Dependence Plots](#pdp){% if model_reproducibility.repro_section %}
8. [Model Reproducibility](#model-reproducibility){% endif %}
9. [Appendix](#appendix)

## Experiment Overview <a name="experiment-overview"></a>

{{section.render('Experiment Overview.template_H2O3')}}

## Data Overview <a name="data-overview"></a>

{{section.render('Data Overview.template')}}  

{% if package_name=='Scikit-learn' %}{% else %}
## Validation Strategy <a name="validation-strategy"></a>

{{section.render('Validation Strategy.template_H2O3')}}      
{% endif %}         

## Feature Importance <a name="feature-importance"></a>

{{section.render('Feature Transformations.template_H2O3')}}           

## Final Model <a name="final-model"></a>

{{section.render('Final Model.template_H2O3')}}

## Alternative Models <a name="alternative-models"></a>

{{section.render('Model Tuning.template_H2O3')}}

{% if model_reproducibility.repro_section %}
## Model Reproducibility <a name="model-reproducibility"></a>
{{section.render('Model_Reproducibility.template_H2O3')}}
{% endif %}
## Partial Dependence Plots <a name="pdp"></a>

{{section.render('Partial Dependence Plots.template_H2O3')}}

## Appendix <a name="appendix"></a>

{{section.render('Appendix.template_H2O3')}}